#
# spec file for package ghc-pipes-network
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name pipes-network
Name:           ghc-%{pkg_name}
Version:        0.6.5
Release:        1.7
Summary:        Use network sockets together with the pipes library
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-network-devel
BuildRequires:  ghc-network-simple-devel
BuildRequires:  ghc-pipes-devel
BuildRequires:  ghc-pipes-safe-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel

%description
Use network sockets together with the 'pipes' library.

This package is organized using the following namespaces:

* "Pipes.Network.TCP" exports pipes and utilities for using TCP connections in
a streaming fashion.

* "Pipes.Network.TCP.Safe" subsumes "Pipes.Network.TCP", exporting pipes and
functions that allow you to safely establish new TCP connections within a
pipeline using the 'pipes-safe' facilities. You only need to use this module if
you want to safely acquire and release operating system resources within a
pipeline.

See the 'changelog' file in the source distribution to learn about any
important changes between version.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc README.md changelog.md

%changelog
* Wed Dec 26 2018 psimons@suse.com
- Add pipes-network at version 0.6.5.
